{{- if .Values.ingress.enabled }}
{{- $fullName := include "parkeerrechten-admin-fsc.fullname" . -}}
{{- if semverCompare ">=1.19-0" .Capabilities.KubeVersion.Version }}
apiVersion: networking.k8s.io/v1
{{- else }}
apiVersion: networking.k8s.io/v1beta1
{{- end }}
kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "parkeerrechten-admin-fsc.labels" . | nindent 4 }}
{{- if or .Values.ingress.class .Values.ingress.annotations }}
  annotations:
  {{- if .Values.ingress.class }}
    kubernetes.io/ingress.class: {{ .Values.ingress.class }}
  {{- end }}
  {{- with .Values.ingress.annotations }}
    {{- toYaml . | nindent 4 }}
  {{- end }}
{{- end }}
spec:
{{- if .Values.ingress.tls }}
  tls:
  {{- range .Values.ingress.tls }}
    - hosts:
      {{- range .hosts }}
        - {{ . | quote }}
      {{- end }}
      secretName: {{ .secretName }}
  {{- end }}
{{- end }}
  rules:
  {{- range .Values.ingress.hosts }}
    - host: {{ . | quote }}
      http:
        paths:
          - path: /
          {{- if semverCompare ">=1.19-0" $.Capabilities.KubeVersion.Version }}
            pathType: ImplementationSpecific
            backend:
              service:
                name: {{ $fullName }}
                port:
                  name: http
          {{- else }}
            backend:
              serviceName: {{ $fullName }}
              servicePort: http
          {{- end }}
  {{- end }}
{{- end }}
